M_GET_NUMPROCS(3P)

NAME
m_get_numprocs - return number of child processes

SYNOPSIS

C syntax:

#include <parallel/microtask.h>
int m_get_numprocs();

Pascal syntax

function m_get_numprocs : integer ;
cexternal ;

FORTRAN syntax

integer*4 function m_get_numprocs

DESCRIPTION
The m_get_numprocs routine returns the value of the variable m_numprocs, the current number of processes in the program. This value reflects the number of child processes plus one, the parent process.

SEE ALSO
fortran(1), m_set_procs(3P), Guide to Parallel Programming